Subject: 'dircolors' request: support UPPERCASE suffixes, also, please.

From: SciFi <[email-masked]>
Date: Thu, 14 Jul 2011 17:41:44 -0500

Hi,

For those of us who use case-SENsitive file systems, and then come across filenames with UPPERCASE suffixes, the provided 'dircolors' function does not colorize those listings.

What I usually do, every time a new release of coreutils comes out, is to duplicate by hand the list of suffixes in src/dircolors.hin to add the UPPERCASE versions of all those entries.

But this does not 'fix' any Mixed-casE suffixes, tho.

And I wonder if doubling this list of suffixes has a bit less performance, and eats-up a bit more RAM for the LS_COLORS env-var etc.

So, I need to request a change to color processing in various commands (esp'ly 'ls') to internally process a case-neutral version of the filename to determine the highlighting strings to be sent to the screen/terminal/whatever.

The coding logic seems way-too complex for my lil mind to try providing a patch.  ;)

Thanks for considering this request.